View appointment types (beta)

🚧

Beta

Send Nex-Api-Version: v3.1.0 to use this endpoint. It is still changing, and access is limited to approved partner institutions. Contact NexHealth before you build on it.

Changed from v3.0.0: Adds query params provider_id, source; changes query param include[]; adds response fields data[].active, data[].data_source_id, data[].display_name, data[].foreign_id (+2 more); removes response field data[].descriptors[].last_sync_time.

This endpoint returns appointment types for the institution; when descriptors are included via the include param, location_id is required. Pass provider_id to only return appointment types offered by that provider. By default only appointment types managed in NexHealth are returned; pass source=synced for those synced from the EHR or source=all for both. working_hour_ids is only returned when included via include and is limited to the given location_id.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
required

Used to scope the request to the specified institution

int32

Id of the associated location,required when appointment types are location specific and when including sub-resources

string
enum
Defaults to manual

Which appointment types to return: managed in NexHealth (manual), synced from the EHR (synced), or both (all)

Allowed:
int32

Only return appointment types offered by the specified provider

include[]
array of strings

Resources to be included in the response

include[]
Allowed:
Headers
string
required
Defaults to v3.1.0

The NexHealth API version

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
ChangelogMCP serverErrorsdevelopers@nexhealth.com